//
//  abooks.h  --  part of LNFC library
//
//  Declaration of class Address_books, Address_books_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_ABOOKS_H
#define __LNFC_ABOOKS_H


#ifndef __LNFC_DOCUMENT_H
#include "document.h"
#endif
#ifndef __LNFC_NOBJECT_H
#include "nobject.h"
#endif
#ifndef __LNFC_ADRBOOK_H
#include "adrbook.h"
#endif


__LNFC_NAMESPACE_BEGIN__


// forward references //
class Address_books;

class Notes_name;
class Notes_string;
class Document;


//---------------------------------------------------------------------

// this is interface; actual class is defined in abooks.cpp

class Address_books_i : public Notes_object_d
{

public:

    virtual Document lookup_by_lastname(
        const Notes_string &person_lastname,
        bool must_be_opened_immedately = true) = 0;

    virtual int setup(char *server_name = 0) = 0;

    Database operator[](size_t index) {
        return at(index);
    }

    virtual Database at(size_t index) = 0;

    virtual size_t get_count() = 0;

};


//---------------------------------------------------------------------


class Address_books : public Smart_pointer<Address_books_i>
{

public:

    Address_books(bool open_now = true);
                       
    Address_books(const Notes_name &server);

    Database operator[](size_t index) {
        return (*associated_object)[index];
    }

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_ABOOKS_H

// EOF //
