//
//  acl_test.cpp  --  optional part of LNFC library
//
//  Testing sample for classes Database_ACL and ACL_entry
//
//  Written by Evseev at Jul 2001
//

#include "acl.h"

#include "nsession.h"

int my_foreach_callback(const ACL_entry &acle, void *)
{
    char level[][10] = {
        "No access",
        "Depositor",
        "Reader   ",
        "Author   ",
        "Editor   ",
        "Designer ",
        "Manager  "
    };
    cout << acle->get_name()->readable()
         << " : "
         << level[acle->get_level()]
         << endl;

    return 0;
}


int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    Database db(nSTR "names");
    Database_ACL acl(db);
    acl->foreach_entry(my_foreach_callback);
    
    if (argc > 1) {
        cout << argv[1]
             << (acl->contains(nSTR argv[1]) ? " found" : " not found")
             << endl;
    }

    return 0;
}

// EOF //
