//
//  adminrq.h  --  part of LNFC library
//
//  Declaration of class Admin_requests, Admin_requests_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_ADMINRQ_H
#define __LNFC_ADMINRQ_H


#ifndef __LNFC_DATABASE_H
#include "database.h"
#endif


__LNFC_NAMESPACE_BEGIN__


// forward references //
class Admin_requests;


//---------------------------------------------------------------------


class Admin_requests_d : public Database_d
{

protected:

    friend Admin_requests;

    Admin_requests_d();

public:

    int new_replica(const Database &db, const Notes_name &dest_server);

};


//---------------------------------------------------------------------


class Admin_requests : public Smart_pointer2<Database, Admin_requests_d>
{

public:

    Admin_requests()
      : SmPtr2(new Admin_requests_d())
    { }

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_ADMINRQ_H

// EOF //
