//
//  adrbook_test.cpp  --  optional part of LNFC library
//
//  Testing sample for Address_book and Personal_address_book classes
//
//  Written by Evseev at Jul 2001
//

#include "adrbook.h"
#include "directory.h"
#include "nsession.h"
#include "abooks.h"


int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    if (argc > 1) {
        Address_books abooks;
        Document user = abooks->lookup_by_lastname(argv[1]);
        Personal_address_book adrbook(user);
        cout << adrbook->getpath()->readable() << endl;
        cout << adrbook->error_string("My address book") << endl;
    } else {
        Directory mydir(dbPATH "Users\\evseev");
        Personal_address_book adrbook(mydir);
        cout << adrbook->getpath()->readable() << endl;
        cout << adrbook->error_string("My address book") << endl;
    }

    return 0;
}

// EOF //
