//
//  dbcat.h  --  part of LNFC library
//
//  Declaration of class Database_catalog, Database_catalog_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_DBCAT_H
#define __LNFC_DBCAT_H


#ifndef __LNFC_DATABASE_H
#include "database.h"
#endif


__LNFC_NAMESPACE_BEGIN__


// forward references //
class Database_catalog;

class Notes_string;
class Document;


//---------------------------------------------------------------------


class Database_catalog_d : public Database_d
{

protected:

    friend Database_catalog;

    Database_catalog_d();

public:
    
    virtual int foreach_matching(const Notes_string &search_rule,
                                 int (*action)(Document &doc, void *args),
                                 void *args = 0);
};


//---------------------------------------------------------------------


class Database_catalog
  : public Smart_pointer2<Database, Database_catalog_d>
{

public:

    Database_catalog()
      : SmPtr2(new Database_catalog_d())
    { }

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_DBCAT_H

// EOF //
