//
//  dbpath_test.cpp  --  optional part of LNFC
//
//  Written by Evseev at Jul 2001
//

#include "dbpath.h"

#include "nsession.h"

void dump_dbpath(const Database_path &dbpath)
{
    cout << "   Plain = " << dbpath->plain()                << endl;
    cout << "Readable = " << dbpath->readable()             << endl;
    cout << "  Native = " << dbpath->native()               << endl;
    cout << "    Path = " << dbpath->filepath()->readable() << endl;
    cout << "  Server = " << dbpath->server()->readable()   << endl;
    cout << "    Port = " << dbpath->port()->readable()     << endl;
    cout << "Absolute = " << dbpath->absolute()->readable() << endl;
}

int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    if (argc > 1) {
        switch(argc) {
          case 2:  dump_dbpath(Database_path(argv[1])); break;
          case 3:  dump_dbpath(Database_path(nSTR argv[1], nSTR argv[2])); break;
          default: dump_dbpath(Database_path(nSTR argv[1], nSTR argv[2], nSTR argv[3])); break;
        }
    } else {

        cout << "Optional usage: progname.exe filepath [server [port]]" << endl << endl;
        
        Database_path p1("db1.nsf");
        if (&*p1 == 0) {
            cout << "path1 is NULL !!" << endl;
        } else {
            cout << "path1 = " << p1->readable() << endl;
        }
        
        Notes_string s5("db2.nsf");
        Database_path p2(s5);
        if (&*p2 == 0) {
            cout << "path2 is NULL !!" << endl;
        } else {
            cout << "path2 = " << p2->readable() << endl;
        }
        
        Notes_name n1("");
        if (&*n1 == 0) {
            cout << "name1 is NULL !!" << endl;
        } else {
            cout << "name1 = " << n1->readable() << endl;
        
            Database_path p3(s5, n1);
            if (&*p3 == 0) {
                cout << "path3 is NULL !!" << endl;
            } else {
                cout << "path3 = " << p3->readable() << endl;
            }
        
            Database_path p4(p3);
            if (&*p4 == 0) {
                cout << "path4 is NULL !!" << endl;
            } else {
                cout << "path4 = " << p4->readable() << endl;
            }
        
            Notes_string s6(p4);
            if (&*s6 == 0) {
                cout << "s6 is NULL !!" << endl;
            } else {
                cout << "s6 = " << s6->readable() << endl;
            }
        }
    }

    return 0;
}

// EOF //
