#
#   deps.mak
#

NSFBACKUP_THINGS = nsfbackup nsfbackup_policy

zip : *.c *.cpp *.h *.mak *.sh *.spec *.lst *.xml *.html todo .cvsignore $(NSFBACKUP_THINGS)
	@-zip -u $(DEST_PREFIX)lnfc $(ALL_SRCFILES)

test : nstring_test$(EXE) \
       dbpath_test$(EXE) \
       database_test$(EXE) \
       document_test$(EXE) \
       formula_test$(EXE) \
       field_test$(EXE) \
       directory_test$(EXE) \
       adrbook_test$(EXE) \
       abooks_test$(EXE)

LIB_H = _lnfc.h
TST_H = nsession.h

LNFCDEFS_H = lnfcdefs.h smartptr.h

NOBJECT_H          = nobject.h   $(LNFCDEFS_H) _cstring.h bitricks.h
nobject$(OBJ)      : nobject.cpp $(NOBJECT_H)
NOBJECT_OBJ        = nobject$(OBJ)
                  
NSESSION_H         = nsession.h
nsession$(OBJ)     : nsession.cpp $(NSESSION_H) $(LIB_H)
NSESSION_OBJ       = nsession$(OBJ)

NSTRING_H          = nstring.h            $(LNFCDEFS_H) _cstring.h
ALL_NSTRING_H      = $(NSTRING_H) nname.h dbpath.h
nstring$(OBJ)      : nstring.cpp          $(ALL_NSTRING_H) $(LIB_H) 
nstring_test$(OBJ) : nstring_test.cpp     $(ALL_NSTRING_H) $(TST_H) 
NSTRING_OBJ        = nstring$(OBJ) nsession$(OBJ)
nstring_test$(EXE) : nstring_test$(OBJ)   $(NSTRING_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

NNAME_H            = nname.h              $(NSTRING_H)
nname$(OBJ)        : nname.cpp              $(NNAME_H)     $(LIB_H)
nname_test$(OBJ)   : nname_test.cpp         $(NNAME_H)     $(TST_H)
NNAME_OBJ          = nname$(OBJ)          $(NSTRING_OBJ)
nname_test$(EXE)   : nname_test$(OBJ)       $(NNAME_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
                                               
DBPATH_H           = dbpath.h             $(NNAME_H)
dbpath$(OBJ)       : dbpath.cpp             $(DBPATH_H)    $(LIB_H)     
dbpath_test$(OBJ)  : dbpath_test.cpp        $(DBPATH_H)    $(TST_H)     
DBPATH_OBJ         = dbpath$(OBJ)         $(NNAME_OBJ)
dbpath_test$(EXE)  : dbpath_test$(OBJ)      $(DBPATH_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
          
DATABASE_H          = database.h          $(DBPATH_H)
database$(OBJ)      : database.cpp          $(DATABASE_H)  $(LIB_H)   
database_test$(OBJ) : database_test.cpp     $(DATABASE_H)  $(TST_H)   
DATABASE_OBJ        = database$(OBJ)      $(DBPATH_OBJ)   nobject$(OBJ)
database_test$(EXE) : database_test$(OBJ)   $(DATABASE_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
        
DOCUMENT_H          = document.h          $(DATABASE_H)
document$(OBJ)      : document.cpp          $(DOCUMENT_H)  $(LIB_H)   
document_test$(OBJ) : document_test.cpp     $(DOCUMENT_H)  $(TST_H) formula.h field.h
DOCUMENT_OBJ        = document$(OBJ)      $(DATABASE_OBJ)
document_test$(EXE) : document_test$(OBJ)   $(DOCUMENT_OBJ)   formula$(OBJ) field$(OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
        
TIMEDATE_H          = timedate.h
timedate$(OBJ)      : timedate.cpp        $(TIMEDATE_H)  $(LIB_H)
timedate_test$(OBJ) : timedate_test.cpp   $(TIMEDATE_H)  $(TST_H)
TIMEDATE_OBJ        = timedate$(OBJ)
timedate_test$(EXE) : timedate_test$(OBJ) $(TIMEDATE_OBJ) nsession$(OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

FIELD_H             = field.h           $(DOCUMENT_H)
field$(OBJ)         : field.cpp           $(FIELD_H)     $(LIB_H)      
field_test$(OBJ)    : field_test.cpp      $(FIELD_H)     $(TST_H)      
FIELD_OBJ           = field$(OBJ)       $(DOCUMENT_OBJ) timedate$(OBJ)
field_test$(EXE)    : field_test$(OBJ)    $(FIELD_OBJ)  formula$(OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
         
FORMULA_H           = formula.h         $(NOBJECT_H)
formula$(OBJ)       : formula.cpp         $(FORMULA_H)   $(LIB_H)    
formula_test$(OBJ)  : formula_test.cpp    $(FORMULA_H)   $(TST_H)  $(DOCUMENT_H)
FORMULA_OBJ         = formula$(OBJ)     $(DATABASE_OBJ)
formula_test$(EXE)  : formula_test$(OBJ)  $(FORMULA_OBJ)           document$(OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
       
ABOOKS_H            = abooks.h          $(DOCUMENT_H)
abooks$(OBJ)        : abooks.cpp          $(ABOOKS_H) $(LIB_H) formula.h      _vector.h
abooks_test$(OBJ)   : abooks_test.cpp     $(ABOOKS_H) $(TST_H)   field.h      directory.h
ABOOKS_OBJ          = abooks$(OBJ)      $(DOCUMENT_OBJ)        formula$(OBJ)
abooks_test$(EXE)   : abooks_test$(OBJ)   $(ABOOKS_OBJ)          field$(OBJ)  directory$(OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
                                 
DIRECTORY_H         = directory.h       $(DATABASE_H)
directory$(OBJ)     : directory.cpp       $(DIRECTORY_H) $(LIB_H) $(FIELD_H) _fileops.h itemtbl.c
directory_test$(OBJ): directory_test.cpp  $(DIRECTORY_H) $(TST_H)
DIRECTORY_OBJ       = directory$(OBJ)   $(DATABASE_OBJ)
directory_test$(EXE): directory_test$(OBJ) $(DIRECTORY_OBJ) document$(OBJ) field$(OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)
                                               
ADRBOOK_H           = adrbook.h         $(DATABASE_H)
adrbook$(OBJ)       : adrbook.cpp         $(LIB_H) $(ADRBOOK_H) $(FIELD_H) $(DIRECTORY_H)
adrbook_test$(OBJ)  : adrbook_test.cpp    $(TST_H) $(ADRBOOK_H) $(FIELD_H) $(DIRECTORY_H)
ADRBOOK_OBJ         = adrbook$(OBJ)     $(DIRECTORY_OBJ) field$(OBJ) document$(OBJ)
adrbook_test$(EXE)  : adrbook_test$(OBJ)           $(ADRBOOK_OBJ) abooks$(OBJ) formula$(OBJ) 
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

LOCATION_H          = location.h        $(DOCUMENT_H)
location$(OBJ)      : location.cpp        $(LIB_H) $(LOCATION_H) adrbook.h formula.h
                                               
NOTESINI_H          = notesini.h        $(NOBJECT_H) nstring.h
notesini$(OBJ)      : notesini.cpp        $(LIB_H) $(NOTESINI_H) field.h $(LOCATION_H) directory.h
NOTESINI_OBJ        : notesini$(OBJ)      $(FIELD_OBJ) location$(OBJ) directory$(OBJ)

ADMINRQ_H           = adminrq.h         $(DATABASE_H)
adminrq$(OBJ)       : adminrq.cpp         $(LIB_H) $(ADMINRQ_H)
adminrq_test$(OBJ)  : adminrq_test.cpp    $(TST_H) $(ADMINRQ_H)
ADMINRQ_OBJ         = adminrq$(OBJ)     $(DATABASE_OBJ)
adminrq_test$(EXE)  : adminrq_test$(OBJ)           $(ADMINRQ_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

ACL_H               = acl.h             $(DATABASE_H)
acl$(OBJ)           : acl.cpp             $(LIB_H) $(ACL_H)
acl_test$(OBJ)      : acl_test.cpp        $(TST_H) $(ACL_H)
ACL_OBJ             = acl$(OBJ)         $(DATABASE_OBJ)
acl_test$(EXE)      : acl_test$(OBJ)               $(ACL_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

VIEW_H              = view.h            $(FIELD_H)
view$(OBJ)          : view.cpp            $(LIB_H) $(VIEW_H)
view_test$(OBJ)     : view_test.cpp       $(TST_H) $(VIEW_H)
VIEW_OBJ            = view$(OBJ)        $(FIELD_OBJ)
view_test$(EXE)     : view_test$(OBJ)              $(VIEW_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

DBCAT_H             = dbcat.h           $(DATABASE_H)
                                      
NOTESINI_H          = notesini.h        $(NOBJECT_H)
                                      
USER_ID_H           = user_id.h         $(NOBJECT_H)

lnfc_test$(OBJ)     : lnfc_test.cpp  $(LNFC_H)
                                   
migrate$(OBJ)       : migrate.cpp    $(LNFC_H)

NSFCOPY_H           =               $(NOBJECT_H)   $(NSTRING_H)   $(NSESSION_H)   $(DATABASE_H)   $(DOCUMENT_H)   $(FORMULA_H)
NSFCOPY_OBJ         = nsfcopy$(OBJ) $(NOBJECT_OBJ) $(NSTRING_OBJ) $(NSESSION_OBJ) $(DATABASE_OBJ) $(DOCUMENT_OBJ) $(FORMULA_OBJ)
nsfcopy$(OBJ)       : nsfcopy.cpp $(NSFCOPY_H)
nsfcopy$(EXE)       : $(NSFCOPY_OBJ)
	$(LD) $(LDFLAGS) $(ALL_SRCFILES) $(TARGET_OPTION)

#CHECKDB_H          = _lnfc.h
CHECKDB_H           =
CHECKDB_OBJ         = check_db$(OBJ)
check_db$(OBJ)      : check_db.c $(CHECKDB_H)
check_db$(EXE)      : $(CHECKDB_OBJ)
	$(STANDARD_LINKING)

## EOF ##
