//
//  directory.h  --  part of LNFC library
//
//  Declares class Directory, Directory_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_DIRECTORY_H
#define __LNFC_DIRECTORY_H


#ifndef __LNFC_DATABASE_H
#include "database.h"
#endif


__LNFC_NAMESPACE_BEGIN__


// Readable aliases for values of bool args //
void *const No_args = 0;
const bool Dont_recurse = false;


// forward references //
class Directory;

class Document;
class Database_path;


//---------------------------------------------------------------------


class Directory_d : public Database_d
{

protected:
 
    friend Directory;

    Directory_d(const Database_path &dirname);
    
    Directory_d(const Document &person_doc);

 // Directory_d(notes_handle_t active_handle, const Database_path &dbpath)
 //   : Database_d(active_handle, dbpath)
 // { }

    virtual ~Directory_d()  { }

public:

    virtual bool exist();
    virtual int create();
    virtual int open();
    virtual int remove(bool unused_force = false);

    virtual int open_file_access();
    virtual int protect_file_access();

    int foreach_database(
        int(*action)(Database &db, void *args),
        void *args = 0,
        bool open_dbs_immediately = true,
        bool recurce = true);

    Database_path expand(const Notes_string &subpath);

    Database get_database(const Database_path &dbpath, bool open_now = true);

protected:

    int search_subfile(const char *filename, char *fullpath);

};


//---------------------------------------------------------------------


class Directory : public Smart_pointer<Directory_d>
{

public:

    Directory(const Database_path &dirname)
      : SmPtr(new Directory_d(dirname))
    { }

    Directory(const Document &person_doc)
      : SmPtr(new Directory_d(person_doc))
    { }

 // Directory(notes_handle_t active_handle, const Database_path &dbpath)
 //   : SmPtr(new Directory_d(active_handle, dbpath))
 // { }

 // operator Notes_string() {
 //     return this->getpath();
 // }

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_DIRECTORY_H

// EOF //
