//
//  directory_test.cpp  --  optional part of LNFC library
//
//  Testing sample for class Directory
//
//  Written by Evseev at Jun 2001
//

#include "directory.h"

#include "nsession.h"

int my_action(Database &db, void*)
{
    cout << db->getpath()->readable() << endl;
    return 0;
}

int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

 // if (argc != 2) {
 //     cout << "Usage: progname.exe [dirname]" << endl;
 //     return 1;
 // }

    Directory dir1(nSTR ((argc > 1) ? argv[1] : ""));
    if (dir1->exist()) {
        if (dir1->is_local())  dir1->open_file_access();
        dir1->foreach_database(my_action, No_args, Dont_open);
        if (dir1->is_local())  dir1->remove();
        cout << dir1->error_string("open access and remove") << endl;
    } else {
        if (dir1->is_local()) {
            dir1->create();
            dir1->protect_file_access();
        }
        cout << dir1->error_string("create and protect") << endl;
    }

    return 0;
}

// EOF //
