//
//  abook_test.cpp  --  optional part of LNCPP library
//
//  Testing sample for Address_books class
//

#include "document.h"

#include "database.h"
#include "formula.h"
#include "field.h"

#include "nsession.h"  //also includes fstream.h

__LNFC_NAMESPACE__

int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    Database db(dbPATH "");
    if (db->ok()) {

        Document doc = db->first_matching(Formula("Form = \"Form #1\""));
        if (doc->ok()) {
            Document doc2 = doc->create_copy();
            cout << doc2->error_string("Created copy") << endl;
        }
        cout << doc->error_string("Original document") << endl;
        
        Document newdoc(db);
        Field f(newdoc, "Form");
        f = "Form #1";
        newdoc->compute_with_form();
        cout << newdoc->error_string("New document") << endl;

    }
    cout << db->error_string("Database") << endl;

    return 0;
}

// EOF
