//
//  field_test.cpp  --  optional part of LNFC library
//
//  Testing sample for class Field
//
//  Written by Evseev at Jun 2001
//

#include "field.h"

#include "formula.h"

#include "nsession.h"  //also includes fstream.h


#define HALT_IF_NOT_EXIST(obj,hint) \
    if (!obj->exist()) { \
        cout << obj->error_string(hint) << endl; \
        return 1; \
    }

__LNFC_NAMESPACE__

int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    Database db(nSTR "");
    HALT_IF_NOT_EXIST(db, "Database");

    Document doc = db->first_matching(Formula("Form = \"Form #1\""));
    HALT_IF_NOT_EXIST(doc, "Document");

    Field subject(doc, "DocTitle");
    HALT_IF_NOT_EXIST(subject, "Subject");

    cout << "Subject text: " << subject->text()->readable() << endl;

    if (argc > 1)
        subject = subject->text() + " " + __TIME__;
    
    if (argc > 2)
        doc->dont_save();
    
    return 0;
}

// EOF
