//
//  lnfc.h
//
//  Lotus Notes Foundation Classes
//
//  C++ wrapper library for NotesAPI (tested 2.01/Win32, Borland/Visual C++)
//
//  Written by Ilya Evseev (ilya_evseev@chat.ru) at Jun 2001
//

#ifndef __LNFC_H
#define __LNFC_H


#include "smartptr.h"    // Smart_pointer<>, Smart_pointer2<>

#include "lnfcdefs.h"

#include "nsession.h"    // INIT_NOTES_RUNTIME(), Init_Notes_runtime()

#include "nobject.h"     // Notes_object   : root of wrappers

#include "nstring.h"     // Notes_string   : LMBCS string

#include "nname.h"       // Notes_name     = Notes_string: abbreviated/canonical

#include "dbpath.h"      // Database_path  = Notes_string: port+server+filepath

#include "database.h"    // Database       = Notes_object

#include "document.h"    // Document

#include "field.h"       // Field

#include "formula.h"     // Formula        : selection/search formula

#include "adrbook.h"     // Address_book   = Database,
                         // Personal_address_book = Address_book

#include "location.h"    // Location       = Document in Address_book

#include "abooks.h"      // Address_books  : active entity used by Notes

#include "adminrq.h"     // Admin_requests = Database admin.nsf (only on server)

#include "dbcat.h"       // Database_catalog = Database catalog.nsf

#include "user_id.h"
#include "notesini.h"

#endif  //  __LNFC_H

// EOF //