//
//  location.cpp  --  part of LNFC library
//
//  Implementation of class Location
//
//  Written by Evseev at Jul 2001
//

#include "location.h"

#include "adrbook.h"
#include "formula.h"

#include <stdlib.h>  // itoa()


__LNFC_NAMESPACE_BEGIN__


const notes_location_t Location::LAN   = 0;
const notes_location_t Location::MODEM = 1;
const notes_location_t Location::MODEM_AND_LAN = 2;
const notes_location_t Location::NO_CONNECT = 3;


static Notes_string int2nstring(int i)
{
    char s[3 * sizeof(int)];
    itoa(i, s, 10);
    return Notes_string(s);
}


Location_d::Location_d(
    const Address_book &ab,
    const Notes_string &name,
    notes_location_t type,
    bool open_now)
  :
    Document_d(*ab->first_matching(
        Formula("(Type = \"Location\") & "
                "(Name = \"" + name + "\") & "
                "(LocationType = \"" + int2nstring(type) + "\")"),
        open_now))
{
}

   
Location_d::Location_d(const Address_book &ab, notes_location_t type, bool open_now)
  : Document_d(*ab->first_matching(
        Formula("(Type = \"Location\") & "
                "(LocationType = \"" + int2nstring(type) + "\")"),
        open_now))
{
}


int Location_d::create(
    const Notes_string &server_name,
    int type,
    const Notes_string &mailbox_filename)
{
    // ???
}


int Location_d::create_from(
    const Location &another_location,
    const Notes_string &server_name)
{
    // ???
}


__LNFC_NAMESPACE_END__

// EOF //
