//
//  nname.cpp  --  part of LNFC library
//
//  Implementation of classes Notes_name and Notes_name_d
//
//  Written by Evseev at Jul 2001
//

#include <stdio.h>    // snprintf

#include "nname.h"

#include "_lnfc.h"

#include <names.h>    // MAXUSERNAME
#include <dname.h>    // DNAbbreviate, DNCanonicalize
#include <kfm.h>      // SECKFMGetUserName


Notes_name Notes_name_d::abbreviated() {
    char username[MAXUSERNAME+1];
    WORD retlen;
    STATUS status = DNAbbreviate(0L, NULL, plain(), username, MAXUSERNAME, &retlen);
    if (status == NOERROR) {
        username[retlen] = 0;
    } else {
        snprintf(username, MAXUSERNAME, "(unknown, error %d)", status);
    }
    return Notes_string(username, Skip_lmbcs_conversion);
}
                     

Notes_name Notes_name_d::canonical() {
    char username[MAXUSERNAME+1];
    WORD retlen;
    STATUS status = DNCanonicalize(0L, NULL, plain(), username, MAXUSERNAME, &retlen);
    if (status == NOERROR) {
        username[retlen] = 0;
    } else {
        snprintf(username, MAXUSERNAME, "(unknown, error %d)", status);
    }
    return Notes_string(username, Skip_lmbcs_conversion);
}


Notes_name Notes_name::current() {
    char username[MAXUSERNAME+1];
    STATUS status = SECKFMGetUserName(username);
    if (status != NOERROR) {
        snprintf(username, MAXUSERNAME, "(unknown, error %d)", status);
    }
    return Notes_string(username, Skip_lmbcs_conversion);
}


// EOF //
