//
//  nname.h  --  part of LNFC library
//
//  Declaration of class Notes_name, Notes_name_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_NNAME_H
#define __LNFC_NNAME_H


#ifndef __LNFC_NSTRING_H
#include "nstring.h"    // also includes lnfcdefs.h, smartptr.h, cstring.h
#endif


__LNFC_NAMESPACE_BEGIN__


// forward references //
class Notes_name;


// Simplify typecast macros //
#define  nNAME     (Notes_name)
#define  nNAMESTR  nNAME nSTR


//---------------------------------------------------------------------


class Notes_name_d : public Notes_string_d
{

protected:
  
    friend Notes_name;
  
    Notes_name_d(const Notes_string_d &s)
      : Notes_string_d(s)
    { }

public:

    Notes_name abbreviated();

    Notes_name canonical();

};


//---------------------------------------------------------------------


class Notes_name : public Smart_pointer2<Notes_string, Notes_name_d>
{

public:

    Notes_name(const Notes_string &s)
      : SmPtr2(reinterpret_cast<Notes_name_d*>(&*s))
    { }

    static Notes_name current();

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_NNAME_H

// EOF //
