//
//  nname_test.cpp  -- optional part of LNFC library
//
//  Testing sample for Notes_name class
//
//  Written by Evseev at Jul 2001
//

#include "nname.h"

#include "nsession.h"

void dump_name(const Notes_name &n)
{
    cout << "name  (plain)    = " << n->readable() << endl;
    cout << "name.abbreviated = " << n->abbreviated()->readable() << endl;
    cout << "name.canonical   = " << n->canonical()->readable()   << endl;
}

int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    Notes_name n1(" /Teachers/SPb01/UCVT/RU");
    dump_name(n1);

    cout << endl;

    Notes_name n2 = Notes_name::current();
    dump_name(n2);

    return 0;
}

// EOF //
