//
//  nobject.cpp  --  part of LNFC library
//
//  Implementation of class Notes_object_d
//
//  Written by Evseev at Jul 2001
//

#include "nobject.h"

#include "_lnfc.h"

#include <osmisc.h>     // OSLoadString, OSTranslate

#include <stdio.h>      // snprintf


#if defined(__WIN32_CONSOLE__)    // CharToOemA
#  include <windows.h>
#  if defined(_MSC_VER)
#    pragma comment(lib,"user32.lib")
#  endif
#endif


__LNFC_NAMESPACE_BEGIN__


typedef char Error_text_buffer[1024];


string Notes_object_d::error_string(const char *where)
{
    if (ok()) {
        return where ? string(where) + ": no error"
                     : string("No error");
    }

    Error_text_buffer lotus_str, sysnative;
    OSLoadString(NULLHANDLE, ERR(last_error), lotus_str, sizeof(lotus_str)-1);

#if defined(OS390) && (__STRING_CODE_SET__ != ISO8859-1)  // ebcdic compile

    OSLMBCSToNative(lotus_str, MAXWORD, sysnative, sizeof(sysnative));

#else   // !if defined(OS390, ebcdic compile)

    OSTranslate(OS_TRANSLATE_LMBCS_TO_NATIVE,
        lotus_str, strlen(lotus_str),
        sysnative, sizeof(sysnative)-1);

#if defined(__WIN32_CONSOLE__)
    CharToOemA(sysnative, sysnative);
#endif

#endif  // !if defined(OS390, ebcdic compile)

    char errnum[16 + sizeof(int)*3];
    snprintf(errnum, sizeof(errnum)-1, "Error %d: ", ERR(last_error));
    if (where) {
        return string(where) + ": " + errnum + sysnative;
    } else {
        return string(errnum) + sysnative;
    }
} 


string Notes_object_d::error_string(const string where) {
	return error_string(where.c_str());
}


__LNFC_NAMESPACE_END__

// EOF //
