//
//  notesini.h  --  part of LNFC library
//
//  Declaration of class Notes_ini, Notes_ini_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_NOTESINI_H
#define __LNFC_NOTESINI_H


#ifndef __LNFC_NOBJECT_H
#include "nobject.h"
#endif

#ifndef __LNFC_NSTRING_H
#include "nstring.h"
#endif


__LNFC_NAMESPACE_BEGIN__


// forward references //
class Notes_ini;

class Directory;
class Location;


//---------------------------------------------------------------------


class Notes_ini_d : public Notes_object_d
{

protected:

    friend Notes_ini;

    Notes_ini_d(const Notes_string &filepath_arg)
      : filepath(filepath_arg)
    { }

    Notes_ini_d(const Directory &userdir);

    virtual ~Notes_ini_d() {
    }

public:
    
    // return true, if changed; false, if not changed; negative, if error
    virtual int set_location(const Location &loc);

    Notes_string getpath() const { return filepath; }

private:

    Notes_string filepath;

};


//---------------------------------------------------------------------


class Notes_ini : public Smart_pointer<Notes_ini_d>
{

public:

    Notes_ini(const Notes_string &filepath)
      : SmPtr(new Notes_ini_d(filepath))
    { }

    Notes_ini(const Directory &userdir)
      : SmPtr(new Notes_ini_d(userdir))
    { }

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_NOTESINI_H

// EOF //
