//
//  nsession.cpp  --  part of LNFC library
//
//  Contents:
//    - Attach NotesAPI libraries to executable at compile-time using #pragma's.
//    - Init_Notes_runtime() and other terminate_notes_runtime().
//
//  Written by Evseev at Jul 2001
//

#include <stdlib.h>     // atexit()

#include "nsession.h"   // Init_Notes_runtime()

#include "_lnfc.h"      // STATUS, global.h->NotesInitExtended()


//---------------------------------------------------------------------


#if defined(_MSC_VER)

#  pragma comment(lib,"notes.lib")

#elif defined(__BORLANDC__)

#  pragma comment(lib,"notes_bc.lib")

#endif


//---------------------------------------------------------------------


static void terminate_notes_runtime(void) {
    NotesTerm();
}

int Init_Notes_runtime(int argc, const char *const argv[])
{
    STATUS status;
    if ((status = NotesInitExtended(argc, (char**)argv)) != NOERROR) {
        return (int)status;
    }
    
    atexit(terminate_notes_runtime);
    return 0;
}


// EOF
