
Name:		nsfbackup
Version:	0.1
Release:	5

%define		    bin_dir	/usr/bin
%define		   temp_dir	/var/microbackup/tmp
%define		backups_dir	/var/microbackup/snapshot/domino
%define		 config_dir	/etc/microbackup
%define		 dblist_dir	%config_dir/%name
%define		 policy_dir	%config_dir/policies
%define             doc_dir     %_defaultdocdir/%name-%version

%define docbook_xsl /usr/share/xml/docbook/xsl-stylesheets/html/docbook.xsl

Summary:	MicroBackup extensions for backup Lotus Domino databases
Group:		Archiving/Backup
Packager:	Ilya Evseev <ilya_evseev@mail.ru>
URL:		http://ilya-evseev.narod.ru
License:	GPL
Requires:	microbackup
BuildPreReq:	xsltproc, docbook-dtds, docbook-style-xsl

Source0:	lnfc.zip

%description
NSFBackup is a MicroBackup plugin for archiving Lotus Domino databases.
We cannot copy databases as ordinal files because Domino don't transact
database updates. This package contain special utility named nsfcopy
that performs copying, wrapper named nsfbackup that provides to nsfcopy
executing environment, and policy for running nsfbackup from MicroBackup.

NSFCopy uses my own library named LNFC, Lotus Notes Foundation Classes.
This library stay unfinished since Summer 2001.
Reworking to Linux environment is in progress now.

%files
%bin_dir/nsfcopy
%bin_dir/nsfbackup
%config %attr(640,root,root) %dblist_dir/names_nsf.lst
%config %attr(640,root,root) %policy_dir/nsfbackup_policy
%dir %backups_dir
%docdir %doc_dir

#-----------------------------------------------------------------------

%prep
if [ "%_sourcedir" = "%_builddir" ]; then
	rm -f %name-%version
	ln -fs $PWD %name-%version
else
%setup -q -c
fi
	
#-----------------------------------------------------------------------

%build
./linux.mak nsfcopy

#-----------------------------------------------------------------------

%install

function my_install() {   #  $1 = perms, $2 = destdir, $3* = srcpath...
	local Perms=$1; shift
	local Dest=$1; shift
	if [ -d $1 ]; then
		install -pd -m$Perms $1 %buildroot$Dest/`basename $1`
		cp -a $2/* %buildroot$3/`basename $2`
	else
		for f in "$@"; do
			install -pD -m$Perms $f %buildroot$Dest/`basename $f`
		done
	fi
}

my_install 755    %bin_dir nsfcopy         
my_install 755    %bin_dir nsfbackup       
my_install 640 %dblist_dir names_nsf.lst   
my_install 640 %policy_dir nsfbackup_policy
for c in nsfbackup-{rus,eng}.xml; do
    my_install 644 %doc_dir $c
    xsltproc %docbook_xsl $c > %buildroot%doc_dir/`basename $c`.html
done

%__mkdir_p %buildroot%backups_dir

if [ "%_sourcedir" = "%_builddir" ]; then
	rm -f %name-%version
fi

#-----------------------------------------------------------------------

%changelog
* Thu Mar 18 2004 Ilya Evseev <ilya_evseev@mail.ru> 0.1-5
- spec: changed e-mail and URL
- spec: no more dirN/srcN macros
- existing documentation converted to DocBook/XML

* Mon Mar  3 2003 Ilya Evseev <evseev@ucvt.ru> 0.1-4ucvt
- HTML docs: add description of new nsfcopy switches
- nsfbackup: using sudo for creating tempdir and running nsfcopy

* Mon Feb 24 2003 Ilya Evseev <evseev@ucvt.ru> 0.1-3ucvt
- nsfcopy: added switches for signing, overwriting and encryption
- nsfbackup: support compression destination databases
  by --compress, --compress-options switches

* Thu Feb  6 2003 Ilya Evseev <evseev@ucvt.ru> 0.1-1ucvt
- initial build

## EOF ##
