//
//  nstring_test.cpp  --  appendix part of LNFC library
//
//  Testing sample for Notes_string and Database_path class
//
//  Written by Evseev at Jun 2001
//

#include "nstring.h"   //also includes cstring.h
#include "nname.h"
#include "dbpath.h"

#include "nsession.h"  //also includes fstream.h

__LNFC_NAMESPACE__


int main(int argc, char *argv[])
{
    INIT_NOTES_RUNTIME();

    Notes_string s1(" Win1251 - Russian Win1251;  KOI8(a)");
    string _s2("  - - more once russian phrase;  KOI8(b)");
    Notes_string s2(_s2);
    Notes_string s3(s2);
    Notes_string s4 = s1 + s2;

    s2 = "  - next russian line;  KOI8(c)";

    cout << "s1 = \"" << s1->c_str() << "\"\n";
    cout << "s2 = \"" << s2->c_str() << "\"\n";
    cout << "s3 = \"" << s3->c_str() << "\"\n";

    if (s2 == s3) cout << "s2 == s3\n";
    if (s2 != s3) cout << "s2 != s3\n";

    cout << "s4 = \"" << s4->c_str() << "\"\n";

    cout << "s2 + s3 = \"" << (s2 + s3)->readable() << "\"\n";

    return 0;
}

// EOF
