//
//  smartptr.cpp
//
//  Testing part for smartptr.h
//

#include "smartptr.h"

#if defined(TEST_SP)

#include <fstream.h>

class Something;

class Something_d : virtual public Self_destroyed {
  protected:
    Something_d(int) { }
  public:
    char data;
};

class Something : virtual public Smart_pointer<Something_d> {
  public:
    Something(int i)
      : Smart_pointer<Something_d>(i)
    { }
};

class Something_special;

class Something_special_d : virtual public Something_d {
  protected:
    friend Something_special;
    Somthing_special_d(int) { }
  public:
    int more_data;
    virtual ~Something_special_d() {
        cout << "I'm removed\n";
    }
};

class Something_special
  : virtual public Smart_pointer2<Something, Something_special_d>
{
  public:
    Something_special(int i)
      : Smart_pointer2<Something, Something_special_d>(i)
    { }
};

int main(void)
{
    Something_special some;
    some->data = 'A';
    { Something_special some2 = some;
      some2->data = 'B';
      { Something_special some3 = some;
        some2->data = 'C';
      }
    }
    cout << "some->data = \"" << some->data << "\"\n";
    return 0;
}

#endif // if defined(TEST_SP)

// EOF