//
//   timedate.h  --  part of LNFC library
//
//   Declaration of class Timedate
//
//   Written by Evseev at Aug 2001
//

#ifndef __LNFC_TIMEDATE_H
#define __LNFC_TIMEDATE_H


#include "lnfcdefs.h"


__LNFC_NAMESPACE_BEGIN__


#include <time.h>
#include "_cstring.h"


typedef struct {
    unsigned long l[2];
} notes_timedate_t;


class Timedate
{

public:

    Timedate(time_t systime)  { setup(localtime(&systime)); }

    Timedate(struct tm *systime)  { setup(systime); }

    Timedate(notes_timedate_t &ntime);

    operator notes_timedate_t*() const { return (notes_timedate_t*)&timedate; }
        // note: non-const typecast overrides state of object
        // if they is declared or passed as const

    operator time_t() { return systime(); };

    operator string() { return strtime(); }

protected:

    int setup(struct tm *systime);

    time_t systime();

    string strtime();

private:

    notes_timedate_t timedate;

};

#endif  // __LNFC_TIMEDATE_H


__LNFC_NAMESPACE_END__


// EOF //
