//
//   timedate_test.cpp
//
//   Written by Evseev at Aug 2001
//

#include "timedate.h"

#include "nsession.h"

__LNFC_NAMESPACE__

int main(int argc, char *argv[])
{
    if (argc != 7) {
        printf("Usage: timedate_test YY MM DD hh mm ss\n");
        return 1;
    }
    
    struct tm systime;

    systime.tm_sec  = atoi(argv[6]);
    systime.tm_min  = atoi(argv[5]);
    systime.tm_hour = atoi(argv[4]);
    systime.tm_mday = atoi(argv[3]);
    systime.tm_mon  = atoi(argv[2]) - 1;
    systime.tm_year = atoi(argv[1]);
    systime.tm_isdst = 0;

    if (systime.tm_year > 1900)
        systime.tm_year -= 1900;
    if (systime.tm_year < 50)
        systime.tm_year += 100;

    INIT_NOTES_RUNTIME();

    Timedate timedate(&systime);

    time_t t = (time_t)timedate;

    cout << " Notes result = \"" << (string)timedate << "\"" << endl;
    cout << "System result = " << ctime(&t);

    t = mktime(&systime);
    cout << "Original time = " << ctime(&t);

    return 0;
}

// EOF //
