//
//  user_id.h  --  part of LNFC library
//
//  Declaration of class User_id, User_id_d
//
//  Written by Evseev at Jul 2001
//

#ifndef __LNFC_USERID_H
#define __LNFC_USERID_H


#ifndef __LNFC_NOBJECT_H
#include "nobject.h"
#endif


__LNFC_NAMESPACE_BEGIN__


// forward references //
class User_id;

class Notes_string;
class Directory;


//---------------------------------------------------------------------


class User_id_d : public Notes_object_d
{

protected:

    friend User_id;

    User_id_d(const Directory &userdir);

    virtual ~User_id_d() {
    }

public:

    virtual bool exist();
    virtual bool exist_copy();
    virtual int create_copy();
    virtual int extract_from_stats();
    virtual int send_to(const Notes_string &recipient_addr);

};


//---------------------------------------------------------------------


class User_id : public Smart_pointer<User_id_d>
{

public:

    User_id(const Directory &userdir)
      : SmPtr(new User_id_d(userdir))
    { }

};


//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_USERID_H

// EOF //
