//
//   view.h  --  part of LNFC library
//
//   Declaration of class View and interface View_i
//
//   Written by Evseev at Aug 2001
//

#ifndef __LNFC_VIEW_H
#define __LNFC_VIEW_H


#ifndef __LNFC_DOCUMENT_H
#include "document.h"
#endif


__LNFC_NAMESPACE_BEGIN__


//---------------------------------------------------------------------


class View_i : public Notes_object_d
{

public:

    Document operator[](size_t index) { return at(index); }

    virtual Document at(size_t index, bool open_now = true) = 0;

    virtual Document next_document(bool open_now = true) = 0;

    virtual void seek_to_first() = 0;

    virtual bool is_end_reached() = 0;

    virtual Document lookup(const Notes_string &sortkey_value, bool open_now = true) = 0;

    virtual Document lookup_by_column(int column, const Notes_string &sortkey_value, bool open_now = true) = 0;

    virtual Document lookup_by_field(const Notes_string &field_name,
                                     const Notes_string &field_value) = 0;

    virtual int update() = 0;

    virtual Database get_database() = 0;
};


//---------------------------------------------------------------------


class View : public Smart_pointer<View_i>
{

public:

    View(const Database &db, const Notes_string &view_name);

};



//---------------------------------------------------------------------

__LNFC_NAMESPACE_END__

#endif  // __LNFC_VIEW_H

// EOF //
